[etherlab-users] Inappropriate ioctl for device

Daniel Lemus dslemusp at gmail.com
Fri Mar 15 10:42:20 CET 2019


Hi

Im having trouble starting the build application from Matlab. Ethercat recognizes all the slaves and the master seems operational. However when I try to run the built executable I get the following error.
Failed to request master 0: Inappropriate ioctl for device
This started happening after I updated my Ethercat installation (I went from downloading the tar file to clone it using hg).

I see there is an old post discussing this topic (http://lists.etherlab.org/pipermail/etherlab-users/2009/000437.html <http://lists.etherlab.org/pipermail/etherlab-users/2009/000437.html>) but there is no clear solution (Or at least not clear to me) on how this issue could be solved. In this post It is suggested that the problem is caused by an old master module loaded when a new library version is used. To be honest I don’t know how to solve this. 

I appreciate the help you guys could give me

Daniel Lemus
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.etherlab.org/pipermail/etherlab-users/attachments/20190315/0f284718/attachment.html>


More information about the etherlab-users mailing list